# [BETA] Create volume snapshot

```http
POST /compute/v1/tenants/{tenantId}/volumes/{volumeId}/snapshots
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `CreateVolumeSnapshot`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `create:compute:snapshots`

Creates a new snapshot for a volume. The volume must be in the "Ready" state to perform this operation.

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID

## Request body (required)

Snapshot details

Content type: `application/json`

- `name` (string)

Example request body:

```json
{
  "name": "string"
}
```

## Responses

### 201 — Created

Content type: `application/json`

- `id` (string)
- `jobId` (string)

### 400 — Bad Request

Content type: `application/json`

- `message` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)
